{
    "$graph": [
        {
            "label": "VecscreentFilter",
            "class": "CommandLineTool",
            "baseCommand": "VSlistTo1HitPerLine.awk",
            "arguments": [
                "suspect=0",
                "weak=0",
                "no_hits=0"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#VecscreentFilter.cwl/out_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#VecscreentFilter.cwl/unfiltered"
                }
            ],
            "stdout": "$(inputs.out_file_name)",
            "id": "#VecscreentFilter.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#VecscreentFilter.cwl/filtered",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#make_calls.cwl/hit_files"
                },
                {
                    "type": "string",
                    "id": "#make_calls.cwl/out_file_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#make_calls.cwl/calls",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    }
                }
            ],
            "stdout": "$(inputs.out_file_name)",
            "id": "#make_calls.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#vecscreen_and_filter_workflow.cwl/blast_db"
                },
                {
                    "type": "string",
                    "id": "#vecscreen_and_filter_workflow.cwl/blast_db_dir"
                },
                {
                    "type": "File",
                    "id": "#vecscreen_and_filter_workflow.cwl/fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#vecscreen_and_filter_workflow.cwl/filter/filtered",
                    "id": "#vecscreen_and_filter_workflow.cwl/filtered_hits"
                }
            ],
            "steps": [
                {
                    "run": "#vescreen.cwl",
                    "in": [
                        {
                            "source": "#vecscreen_and_filter_workflow.cwl/blast_db",
                            "id": "#vecscreen_and_filter_workflow.cwl/blast/db"
                        },
                        {
                            "source": "#vecscreen_and_filter_workflow.cwl/blast_db_dir",
                            "id": "#vecscreen_and_filter_workflow.cwl/blast/db_dir"
                        },
                        {
                            "default": "vs_unfiltered.hit",
                            "id": "#vecscreen_and_filter_workflow.cwl/blast/out_file_name"
                        },
                        {
                            "source": "#vecscreen_and_filter_workflow.cwl/fasta",
                            "id": "#vecscreen_and_filter_workflow.cwl/blast/query"
                        }
                    ],
                    "out": [
                        "#vecscreen_and_filter_workflow.cwl/blast/out_file"
                    ],
                    "id": "#vecscreen_and_filter_workflow.cwl/blast"
                },
                {
                    "run": "#VecscreentFilter.cwl",
                    "in": [
                        {
                            "default": "vs_filtered.hit",
                            "id": "#vecscreen_and_filter_workflow.cwl/filter/out_file_name"
                        },
                        {
                            "source": "#vecscreen_and_filter_workflow.cwl/blast/out_file",
                            "id": "#vecscreen_and_filter_workflow.cwl/filter/unfiltered"
                        }
                    ],
                    "out": [
                        "#vecscreen_and_filter_workflow.cwl/filter/filtered"
                    ],
                    "id": "#vecscreen_and_filter_workflow.cwl/filter"
                }
            ],
            "id": "#vecscreen_and_filter_workflow.cwl"
        },
        {
            "label": "vecscreen",
            "class": "CommandLineTool",
            "baseCommand": "vecscreen",
            "arguments": [
                "-f",
                "3"
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.db_dir)",
                            "envName": "BLASTDB"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-d"
                    },
                    "id": "#vescreen.cwl/db"
                },
                {
                    "type": "string",
                    "id": "#vescreen.cwl/db_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "-",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#vescreen.cwl/out_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#vescreen.cwl/query"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    },
                    "id": "#vescreen.cwl/out_file"
                }
            ],
            "id": "#vescreen.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/blast_db_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/blast_dbs"
                },
                {
                    "type": "File",
                    "id": "#main/fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/make_calls/calls",
                    "id": "#main/calls"
                }
            ],
            "steps": [
                {
                    "run": "#make_calls.cwl",
                    "in": [
                        {
                            "source": "#main/vecscreen_and_filter/filtered_hits",
                            "id": "#main/make_calls/hit_files"
                        },
                        {
                            "default": "combined_vs.calls",
                            "id": "#main/make_calls/out_file_name"
                        }
                    ],
                    "out": [
                        "#main/make_calls/calls"
                    ],
                    "id": "#main/make_calls"
                },
                {
                    "run": "#vecscreen_and_filter_workflow.cwl",
                    "scatter": "#main/vecscreen_and_filter/blast_db",
                    "in": [
                        {
                            "source": "#main/blast_dbs",
                            "id": "#main/vecscreen_and_filter/blast_db"
                        },
                        {
                            "source": "#main/blast_db_dir",
                            "id": "#main/vecscreen_and_filter/blast_db_dir"
                        },
                        {
                            "source": "#main/fasta",
                            "id": "#main/vecscreen_and_filter/fasta"
                        }
                    ],
                    "out": [
                        "#main/vecscreen_and_filter/filtered_hits"
                    ],
                    "id": "#main/vecscreen_and_filter"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
